<template>
    <div>
        <div class="message message-warn" :class="{top: $interface.isMobile}">
            <div class="message-icon">
                <SVGIcon xlink="warning-icon" :fill="$theme.colors.yellow" viewBox="0 0 48 48"></SVGIcon>
            </div>
            <div class="message-text" :class="{'text-left': $interface.isMobile}">
                <h3>Подача заявки временно заблокирована</h3>
                <p>
                    Вы можете подать заявку на займ с помощью сервиса <a :href="url" target="_blank">{{name}}</a>
                </p>
                <p>
                    Одобрение более 90%!
                </p>
            </div>
        </div>
        <button class="button red" :class="{block: $interface.isMobile}" @click="partners">
            Подать заявку
        </button>
    </div>
</template>

<script>
    import SVGIcon from '@/components/SVGIcon';

    export default {
        components: {
            SVGIcon
        },
        data() {
            return {
                link: false
            };
        },

        computed: {
            url() {
                return this.link ? this.link.link : 'http://zaimvam.ru';
            },

            name() {
                return this.link ? this.link.name : 'zaimvam.ru';
            }
        },

        created() {
            this.$store.commit('AJAX_LOADING', true);
            this.$backend.getData('loan/disclaim_link')
                .then((response) => {
                    this.link = response.data.data;
                })
                .catch((e) => {

                })
                .finally(() => {
                    this.$store.commit('AJAX_LOADING', false);
                });
        },

        methods: {
            partners() {
                document.location.href = this.url;
            }
        }
    };
</script>

<style scoped>

</style>
